# Load default processing options
imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss: "EXT:t3template/Resources/Public/Css/rte.css"

    stylesSet:
      - { name: "Text hervorheben", element: "span", attributes: { class: "highlighttext" } }
      - { name: "Text mit Telefon-Icon", element: "span", attributes: { class: "phonetext" } }
      - { name: "Text (Like H2, lg:w-10/12)", element: "span", attributes: { class: "block font-jaapokki-regular hyphenate md:text-6xl text-4xl lg:w-10/12" } }
      - { name: "Text (Like H2, w-full)", element: "span", attributes: { class: "block font-jaapokki-regular hyphenate md:text-6xl text-4xl" } }
      #- { name: "Text als Button", element: "span", attributes: { class: "buttontext" } }
      - { name: "Link als Button", element: "a", attributes: { class: "buttonlink" } }
      - { name: "CTA Button (Kontakt)", element: "a", attributes: { class: "buttonlink contact-icon" } }
      - { name: "CTA Button (Downloads)", element: "a", attributes: { class: "buttonlink downloads-icon" } }
      - { name: "CTA Button (Showrooms)", element: "a", attributes: { class: "buttonlink showrooms-icon" } }
      - { name: "CTA Button (myWEYTEC)", element: "a", attributes: { class: "buttonlink myweytec-icon" } }
      - { name: "Link mit Pfeil", element: "a", attributes: { class: "arrowlink" } }
      - { name: "Link mit PDF-Icon", element: "a", attributes: { class: "pdflink" } }
      - { name: "Link mit E-Mail-Icon", element: "a", attributes: { class: "emaillink" } }
      - { name: "List (checked)", element: "li", attributes: { class: "checked" } }

    format_tags: "p;h1;h2;h3"

    toolbarGroups:
      - { name: styles, groups: [ format, styles ] }
      - { name: paragraph, groups: [ list, indent, blocks, align ] }
      - { name: document, groups: [ mode ] }
      - { name: tools, groups: [ tools ] }
      - "/"
      - { name: clipboard, groups: [ clipboard, cleanup, undo ] }
      - { name: basicstyles, groups: [ basicstyles ] }
      - { name: links, groups: [ links ] }
      - { name: editing, groups: [ selection, spellchecker ] }
      - { name: insert, groups: [ insert ] }

    justifyClasses:
      - text-left
      - text-center
      - text-right
      - text-justify

    extraPlugins:
      - justify

    removePlugins:
      - image

    removeButtons:
      - Anchor
      - Underline
      - Strike
      - Blockquote
